curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seed-2.1-turbo",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"thinking": {
"type": "enabled"
},
"reasoning_effort": "high",
"max_tokens": 65536,
"temperature": 1,
"top_p": 1,
"stream": false,
"tools": [
{}
],
"response_format": {
"type": "text"
},
"stop": "<string>"
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "doubao-seed-2.1-turbo",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"thinking": { "type": "enabled" },
"reasoning_effort": "high",
"max_tokens": 65536,
"temperature": 1,
"top_p": 1,
"stream": False,
"tools": [{}],
"response_format": { "type": "text" },
"stop": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seed-2.1-turbo',
messages: [{role: 'user', content: 'Hello!'}],
thinking: {type: 'enabled'},
reasoning_effort: 'high',
max_tokens: 65536,
temperature: 1,
top_p: 1,
stream: false,
tools: [{}],
response_format: {type: 'text'},
stop: '<string>'
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 123,
"model": "doubao-seed-2.1-turbo",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "Hello! How can I help you today?",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
},
"total_tokens": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}doubao-seed-2.1-turbo
Creates a model response for the given chat conversation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Model ID
doubao-seed-2.1-turbo "doubao-seed-2.1-turbo"
A list of messages comprising the conversation so far.
1Show child attributes
Show child attributes
[{ "role": "user", "content": "Hello!" }]Controls deep thinking. On by default for Doubao-Seed-2.1.
Show child attributes
Show child attributes
Controls reasoning length; effective only when thinking is enabled.
minimal, low, medium, high The maximum number of tokens to generate (up to 256K).
1 <= x <= 262144Sampling temperature. Higher values make output more random.
0 <= x <= 21
Nucleus sampling threshold.
0 <= x <= 1If true, stream partial message deltas using SSE.
A list of tools (functions) the model may call.
Output format. Use { "type": "json_object" } for structured JSON output (beta).
Show child attributes
Show child attributes
Sequences where the model will stop generating further tokens.
Was this page helpful?